Summary: Adds banners to Zope
Name: BannerFolder
Version: 0.5pre
Release: 1
License: GPL
Group: Development/Languages
URL: http://www.zope.org/Members/lalo/BannerFolder
Source: BannerFolder-0.5pre.tar.gz
Requires: Zope
Requires: PythonMethod
Requires: Renderable-ZClass
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Software Product: Advertising Banner Product 

Created by lalo. Last modified on 2000/07/21. 

This Product adds a BannerAd ZClass, basically a Renderable Image with properties for URL, and a Banner Folder ZClass. 

The BannerFolder object can contain BannerAds and DTML Methods. It will randmly choose and render one of them. If the chosen object is a BannerAd, it will only be displayed if its "remaining_views" property is different from 0. It will also decrement "remaining_views" if >0 and increment "views", so you can charge. 

The folder itself is Renderable too, so all you have to do to get a banner is <dtml-var my_banner_folder>. This is why the default ID for BannerFolders is "banner" (so that you type <dtml-var banner>. 

Some parts of the Product are still ugly hacks and workarounds in this version, so beware. 

For example, if it doesn't find a suitable subobject (it's empty, or all objects are BannerAds with 0 remaining_views) it will get into an infinite loop - so always keep at least one BannerAd with -1 remaining_views, or a DTML Method inside all your BannerFolders. 

Depends on PythonMethod and Renderable Zclass. 

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/zope/import
install -m644 BannerFolder-0.5pre.zexp $RPM_BUILD_ROOT%{_datadir}/zope/import

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/zope/import/*

%changelog
* Wed Jan  3 2001 Tim Powers <timp@redhat.com>
- updated to 0.5pre

* Sun Jul 23 2000 Crutcher Dunnavant <crutcher@redhat.com>
- initial package
